Subject: Re: Updated: perl-5.8.0-2
From: "Gerrit P. Haase" <[email-masked]>
To: Rolf Campbell <[email-masked]>
Cc: [email-masked]
Date: Wed, 23 Apr 2003 23:52:49 +0200

Hallo Rolf,

an update of the status:

Am Montag, 31. März 2003 um 19:47 schriebst du:

> Gerrit P. Haase wrote:
>> perl-5.8.0-2 release has been uploaded to sourceware
>>                    -- it should be on the mirrors soon.

> Several problems with this version.  A bunch of my scripts have stopped 
> working, and when I tried to figure out why, I got some very strange 
> behavior from the debugger.

> Try this (I tried it in both rxvt & 'dos box' with same results):
> 1) run "perl -d"
> 2) type "print;"
> 3) hit Ctrl+D
> 4) hit Enter
> 5) hit Enter

> When I do this, step #4 does NOTHING (and by nothing I mean: the key 
> made a little click sound when I hit it, but there was no other proof 
> that I hit the key).  It seems that this perl needs 2 enter keys in a 
> row to recognize one.  I tried hitting 'a<enter>a<enter>a<enter>', and 
> only 'aaa' showed on the screen (all on the same line).

It seems that Term::Readline::Perl causes the problems, I cannot reproduce
this after removing the module Term::Readline::Perl.

I'm not sure if your scripts will work again (probably there is
another issue if you don't use Term::Readline::Perl module in there),
but it is worth trying.

If this or more of your problems resolve after removing
Term::Readline::Perl from the dist, then I'll release an new package
of Perl without this module and try to figure out what is the problem
with it.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/